Subject: RE: ISCSI: NAA naming format

From: Elizabeth Rodriguez <[email-masked]>
Date: Fri, 8 Nov 2002 11:59:49 -0800

WG Chair hat on

The iSCSI draft has completed working group last call, and no more changes
may be made to that draft, unless explicitly requested by the IESG or the
ADs. 
So, it is unlikely that the iSCSI draft would be modified in the manner
suggested below.

That said, RFCs may be updated by other RFCs, and such updates are noted on
the RFC web page.
Should the proposal be accepted, this is likely what would happen in this
case.

Elizabeth Rodriguez
IPS WG chair

-----Original Message-----
From: Mallikarjun C. [mailto:[email-masked]]
Sent: Thursday, November 07, 2002 9:42 PM
To: Randy Jennings; [email-masked]
Subject: Re: ISCSI: NAA naming format

Good catch.

The statement would need to be modified to state that: this version
of the iSCSI draft allows only two name type designators, and using
user-defined name type designators is prohibited.

Implementations complying with the iSCSI RFC would then support
only those two formats, while new name formats may in addition be
supported based on compliance to additional RFCs, as may be approved 
by the WG from time to time.

Thanks.
--
Mallikarjun

Mallikarjun Chadalapaka
Networked Storage Architecture
Network Storage Solutions
Hewlett-Packard MS 5668 
Roseville CA 95747
[email-masked]

----- Original Message ----- 
From: "Randy Jennings" <[email-masked]>
To: <[email-masked]>
Sent: Thursday, November 07, 2002 8:50 AM
Subject: ISCSI: NAA naming format

> I will not be in the Atlanta meeting, so I will have to open this can of
> worms here.
> 
> > - NAA naming format for iSCSI (30 min)
> draft-krueger-iscsi-name-ext-00.txt
> > This draft proposes to add a new .naa naming format to iSCSI in
> > addition to the current .iqn and .eui formats.  A significant
> > motivation for this is an desire by T10 (ANSI organization that
> > handles SCSI standards) to obtain consistent SCSI device
> > naming across SCSI transports.
> >
> > The authors request that the IPS WG adopt this draft as an
> official
> > work item.  It would become a separate RFC rather than being
> folded
> > into the main iSCSI draft.
> I first want to say that whether the NAA naming format is adopted or not
> does not matter to me, but it matters to me if the following text is
> left in the Proposed Standard version of the iSCSI draft:
> 
> (pg39, line from start of document 2340)
>    As these two naming authority designators will suffice in nearly
>    every case for both software and hardware-based entities, the
>    creation of additional type designators is prohibited.
> 
> Now, it does not use the MUST language required by IETF drafts (as I
> understand it), but prohibited is a strong word for me.  (On a side
> note, it would be interesting to open up a thesaurus and search for
> other such words in the draft (i.e. 'mandatory').)
> 
> I do not want to see a sorry chap reading this draft, see the word
> 'prohibited' and not ever worry about another name format ever being
> made.  It gives this nice sense of (false?) security that made me like
> math and standards in the first place.
> 
> Sincerely,
> Randy Jennings
> Data Transit
> 
>